%global modulename micromatch

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-micromatch
Version:        3.1.10
Release:        1%{?dist}
Summary:        Glob matching for javascript/node.js. A drop-in replacement and faster alternative to minimatch and multimatch.

License:        MIT
URL:            https://github.com/micromatch/micromatch
Source0:        https://registry.npmjs.org/micromatch/-/micromatch-3.1.10.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(arr-diff) >= 4.0.0 with npmlib(arr-diff) < 5.0.0))
BuildRequires:  ((npmlib(array-unique) >= 0.3.2 with npmlib(array-unique) < 0.4.0))
BuildRequires:  ((npmlib(braces) >= 2.3.1 with npmlib(braces) < 3.0.0))
BuildRequires:  ((npmlib(define-property) >= 2.0.2 with npmlib(define-property) < 3.0.0))
BuildRequires:  ((npmlib(extend-shallow) >= 3.0.2 with npmlib(extend-shallow) < 4.0.0))
BuildRequires:  ((npmlib(extglob) >= 2.0.4 with npmlib(extglob) < 3.0.0))
BuildRequires:  ((npmlib(fragment-cache) >= 0.2.1 with npmlib(fragment-cache) < 0.3.0))
BuildRequires:  ((npmlib(kind-of) >= 6.0.2 with npmlib(kind-of) < 7.0.0))
BuildRequires:  ((npmlib(nanomatch) >= 1.2.9 with npmlib(nanomatch) < 2.0.0))
BuildRequires:  ((npmlib(object.pick) >= 1.3.0 with npmlib(object.pick) < 2.0.0))
BuildRequires:  ((npmlib(regex-not) >= 1.0.0 with npmlib(regex-not) < 2.0.0))
BuildRequires:  ((npmlib(snapdragon) >= 0.8.1 with npmlib(snapdragon) < 0.9.0))
BuildRequires:  ((npmlib(to-regex) >= 3.0.2 with npmlib(to-regex) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Glob matching for javascript/node.js. A drop-in replacement and faster alternative to minimatch and multimatch.

%package 3.1.10
Summary:        Glob matching for javascript/node.js. A drop-in replacement and faster alternative to minimatch and multimatch.


%description 3.1.10
Glob matching for javascript/node.js. A drop-in replacement and faster alternative to minimatch and multimatch.

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.1.10
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 3.1.10-1
- Package automatically generated by npm2srpm
